## Class Documentation

 * [`Alerts`](Classes/Alerts) (Exceptions)
    * [`\ParagonIE\Halite\Alerts\CannotCloneKey`](Alerts/CannotCloneKey.md)
    * [`\ParagonIE\Halite\Alerts\CannotPerformOperation`](Alerts/CannotPerformOperation.md)
    * [`\ParagonIE\Halite\Alerts\CannotSerializeKey`](Alerts/CannotSerializeKey.md)
    * [`\ParagonIE\Halite\Alerts\ConfigDirectiveNotFound`](Alerts/ConfigDirectiveNotFound.md)
    * [`\ParagonIE\Halite\Alerts\FileAccessDenied`](Alerts/FileAccessDenied.md)
    * [`\ParagonIE\Halite\Alerts\FileModified`](Alerts/FileModified.md)
    * [`\ParagonIE\Halite\Alerts\HaliteAlert`](Alerts/HaliteAlert.md) (Base Exception for all Alerts)
    * [`\ParagonIE\Halite\Alerts\InvalidDigestLength`](Alerts/InvalidDigestLength.md)
    * [`\ParagonIE\Halite\Alerts\InvalidFlags`](Alerts/InvalidFlags.md)
    * [`\ParagonIE\Halite\Alerts\InvalidKey`](Alerts/InvalidKey.md)
    * [`\ParagonIE\Halite\Alerts\InvalidMessage`](Alerts/InvalidMessage.md)
    * [`\ParagonIE\Halite\Alerts\InvalidType`](Alerts/InvalidType.md)
 * [`Asymmetric`](Classes/Asymmetric)
    * [`\ParagonIE\Halite\Asymmetric\Crypto`](Asymmetric/Crypto.md)
    * [`\ParagonIE\Halite\Asymmetric\EncryptionPublicKey`](Asymmetric/EncryptionPublicKey.md)
    * [`\ParagonIE\Halite\Asymmetric\EncryptionSecretKey`](Asymmetric/EncryptionSecretKey.md)
    * [`\ParagonIE\Halite\Asymmetric\PublicKey`](Asymmetric/PublicKey.md)
    * [`\ParagonIE\Halite\Asymmetric\SecretKey`](Asymmetric/SecretKey.md)
    * [`\ParagonIE\Halite\Asymmetric\SignaturePublicKey`](Asymmetric/SignaturePublicKey.md)
    * [`\ParagonIE\Halite\Asymmetric\SignatureSecretKey`](Asymmetric/SignatureSecretKey.md)
 * [`Contract`](Classes/Contract) (Interfaces)
    * [`\ParagonIE\Halite\Contract\AsymmetricKeyCryptoInterface`](Contract/AsymmetricKeyCryptoInterface.md)
    * [`\ParagonIE\Halite\Contract\CryptoInterface`](Contract/CryptoInterface.md)
    * [`\ParagonIE\Halite\Contract\CryptoKeyInterface`](Contract/CryptoKeyInterface.md)
    * [`\ParagonIE\Halite\Contract\FileInterface`](Contract/FileInterface.md)
    * [`\ParagonIE\Halite\Contract\PasswordInterface`](Contract/PasswordInterface.md)
    * [`\ParagonIE\Halite\Contract\StreamInterface`](Contract/StreamInterface.md)
    * [`\ParagonIE\Halite\Contract\SymmetricKeyCryptoInterface`](Contract/SymmetricKeyCryptoInterface.md)
 * [`Stream`](Classes/Stream)
    * [`\ParagonIE\Halite\Stream\MutableFile`](Stream/MutableFile.md)
    * [`\ParagonIE\Halite\Stream\ReadOnlyFile`](Stream/ReadOnlyFile.md)
 * [`Symmetric`](Classes/Symmetric)
    * [`\ParagonIE\Halite\Symmetric\AuthenticationKey`](Symmetric/AuthenticationKey.md)
    * [`\ParagonIE\Halite\Symmetric\Config`](Symmetric/Config.md)
    * [`\ParagonIE\Halite\Symmetric\Crypto`](Symmetric/Crypto.md)
    * [`\ParagonIE\Halite\Symmetric\EncryptionKey`](Symmetric/EncryptionKey.md)
    * [`\ParagonIE\Halite\Symmetric\SecretKey`](Symmetric/SecretKey.md)
 * [`\ParagonIE\Halite\Password`](Asymmetric.md)
 * [`\ParagonIE\Halite\Cookie`](Cookie.md)
 * [`\ParagonIE\Halite\EncryptionKeyPair`](EncryptionKeyPair.md)
 * [`\ParagonIE\Halite\File`](File.md)
 * [`\ParagonIE\Halite\Halite`](Halite.md)
 * [`\ParagonIE\Halite\Key`](Key.md)
 * [`\ParagonIE\Halite\KeyFactory`](KeyFactory.md)
 * [`\ParagonIE\Halite\KeyPair`](KeyPair.md)
 * [`\ParagonIE\Halite\Password`](Password.md)
 * [`\ParagonIE\Halite\SignatureKeyPair`](SignatureKeyPair.md)
 * [`\ParagonIE\Halite\Util`](Util.md)